Compare commits

..

11 Commits

Author SHA1 Message Date
Praveen K Paladugu 300467cdce Moved the cert generation 2010-08-10 11:02:27 -05:00
Fedora Release Engineering 0721437f49 dist-git conversion 2010-07-29 05:20:22 +00:00
Praveen K Paladugu 6d2a5044f5 Updated the spec file to follow the upstream packaging format 2009-12-31 20:05:14 +00:00
Bill Nottingham dbb5dd66cc Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:25:14 +00:00
Praveen K Paladugu 8eb31f4f79 removed some hard coded paths in %files 2009-10-01 18:14:51 +00:00
Praveen K Paladugu acf789a807 increased the release after the previous change 2009-09-29 18:02:36 +00:00
Praveen K Paladugu 68810c26ba Hardcoding back the path to /usr/lib in %files 2009-09-29 18:01:13 +00:00
Praveen K Paladugu 8121b3b621 Made a few changes to support python-config test on RHEL5. 2009-09-29 17:29:00 +00:00
Praveen K Paladugu 1386e9a847 Added the new openwsman-2.2.0 sources 2009-09-24 22:57:22 +00:00
srinivas ramanatha d63da6d7c9 Initial Import to EL-5 2008-11-01 10:34:43 +00:00
Huzaifa Sidhpurwala dd3edc2fa1 Initialize branch EL-5 for openwsman 2008-10-13 10:50:40 +00:00
8 changed files with 300 additions and 169 deletions
+1 -1
View File
@@ -1 +1 @@
openwsman-2.2.3.tar.bz2
openwsman-2.2.0.tar.bz2
-14
View File
@@ -1,14 +0,0 @@
diff -up openwsman-2.2.3/AUTHORS.diff openwsman-2.2.3/AUTHORS
--- openwsman-2.2.3/AUTHORS.diff 2010-04-20 10:42:40.156797595 -0500
+++ openwsman-2.2.3/AUTHORS 2010-04-20 10:43:10.440803220 -0500
@@ -13,5 +13,10 @@ Contributions and Patches by:
Viktor Mihajlovski, IBM
Klaus Kaempf, Novell
+AUTHORS from Spec file:
+ Anas Nashif <anas.nashif@intel.com>
+ Vadim Revyakin <vadim.revyakin@intel.com>
+ Denis Sadykov <denis.sadykov@intel.com>
+
If you think you name should be here and I forgot it, please let me know.
+133 -47
View File
@@ -1,7 +1,7 @@
diff -up ./etc/init/openwsmand.sh.in.old ./etc/init/openwsmand.sh.in
--- ./etc/init/openwsmand.sh.in.old 2010-08-04 16:43:40.212100948 -0500
+++ ./etc/init/openwsmand.sh.in 2010-08-04 17:26:20.013849220 -0500
@@ -4,15 +4,15 @@
diff -up ./etc/init/openwsmand.sh.in.bak ./etc/init/openwsmand.sh.in
--- ./etc/init/openwsmand.sh.in.bak 2010-08-10 10:43:50.158889277 -0500
+++ ./etc/init/openwsmand.sh.in 2010-08-10 10:46:19.345860143 -0500
@@ -4,21 +4,21 @@
# Provides: openwsmand
# Required-Start: $remote_fs
# Required-Stop: $network
@@ -20,15 +20,41 @@ diff -up ./etc/init/openwsmand.sh.in.old ./etc/init/openwsmand.sh.in
# description: Openwsman Daemon
# processname: openwsmand
@@ -56,20 +56,16 @@ start()
echo "Using common server certificate /etc/ssl/servercerts/servercert.pem"
ln -s /etc/ssl/servercerts/server{cert,key}.pem @SYSCONFDIR@
else
- echo "Generating Openwsman server public certificate and private key"
- FQDN=`hostname --fqdn`
- if [ "x${FQDN}" = "x" ]; then
- FQDN=localhost.localdomain
- fi
NAME=openwsmand
DAEMON=/usr/sbin/$NAME
-OPTIONS=
+OPTIONS=-S
PIDFILE=/var/run/$NAME.pid
if [ $EUID != 0 ]; then
@@ -37,12 +37,14 @@ lockfile=${SVIlock:-/var/lock/subsys/$NA
if [ -f "/etc/sysconfig/openwsman" ]; then
. /etc/sysconfig/openwsman
fi
-# See how we were called.
-. /etc/rc.status
-# Reset status of this service
-rc_reset
+if [ -f "/etc/SuSe-release" ]; then
+ # See how we were called.
+ . /etc/rc.status
+ # Reset status of this service
+ rc_reset
+fi
case "$1" in
start)
@@ -52,35 +54,43 @@ case "$1" in
echo "Using common server certificate /etc/ssl/servercerts/servercert.pem"
ln -s /etc/ssl/servercerts/server{cert,key}.pem /etc/openwsman/
else
- echo "Generating Openwsman server public certificate and private key"
- FQDN=`hostname --fqdn`
- if [ "x${FQDN}" = "x" ]; then
- FQDN=localhost.localdomain
- fi
-cat << EOF | sh @SYSCONFDIR@/owsmangencert.sh > /dev/null 2>&1
---
-SomeState
@@ -38,49 +64,110 @@ diff -up ./etc/init/openwsmand.sh.in.old ./etc/init/openwsmand.sh.in
-${FQDN}
-root@${FQDN}
-EOF
+ echo "FAILED: Starting openwsman server"
+ echo "There is no ssl server key available for openwsman server to use."
+ echo -e "Please generate one with the following script and start the openwsman service again:\n"
+ echo "##################################"
+ echo "/etc/openwsman/owsmangencert.sh"
+ echo "================================="
+ echo "FAILED: Starting openwsman server"
+ echo "There is no ssl server key available for openwsman server to use."
+ echo -e "Please generate one with the following script and start the openwsman service again:\n"
+ echo "##################################"
+ echo "/etc/openwsman/owsmangencert.sh"
+ echo "================================="
+
+ echo "NOTE: The script uses /dev/random device for generating some random bits while generating the server key."
+ echo " If this takes too long, you can replace the value of \"RANDFILE\" in @SYSCONFDIR@/ssleay.cnf with /dev/urandom."
+
fi
+ echo "NOTE: The script uses /dev/random device for generating some random bits while generating the server key."
+ echo -e " If this takes too long, you can replace the value of \"RANDFILE\" in @SYSCONFDIR@/ssleay.cnf with /dev/urandom.\n Please understand the implications of doing so."
+
fi
fi
@@ -145,6 +141,10 @@ case "$1" in
fi
# Start daemons.
echo -n "Starting the $DESCRIPTIVE"
- startproc -p $PIDFILE $DAEMON > /dev/null 2>&1
- rc_status -v
+ if [ -f "/etc/SuSe-release" ]; then
+ startproc -p $PIDFILE $DAEMON > /dev/null 2>&1
+ rc_status -v
+ elif [ -f "/etc/redhat-release" ]; then
+ $DAEMON -S && echo " done." || echo " failed."
+ fi
+
touch $lockfile
;;
+ condrestart)
+ [ -e $lockfile ] && restart
+ ;;
+
*)
echo "Usage: $0 {restart|start|stop|reload|force-reload|status}"
esac
diff -up ./etc/owsmangencert.sh.in.old ./etc/owsmangencert.sh.in
--- ./etc/owsmangencert.sh.in.old 2010-08-04 17:14:31.241100874 -0500
+++ ./etc/owsmangencert.sh.in 2010-08-04 17:21:02.944850958 -0500
@@ -1,7 +1,5 @@
#!/bin/sh
stop)
# Stop daemons.
echo -n "Shutting down $DESCRIPTIVE"
- killproc -p $PIDFILE -TERM $DAEMON
- rc_status -v
+ if [ -f "/etc/SuSe-release" ]; then
+ killproc -p $PIDFILE -TERM $DAEMON
+ rc_status -v
+ elif [ -f "/etc/redhat-release" ]; then
+ kill -9 `pidof openwsmand` > /dev/null 2>&1
+ if [ $? -eq 0 ]; then
+ echo " done"
+ fi
+ fi
rm -f $lockfile
;;
-#!/bin/sh -e
-
CERTFILE=@SYSCONFDIR@/servercert.pem
KEYFILE=@SYSCONFDIR@/serverkey.pem
CNFFILE=@SYSCONFDIR@/ssleay.cnf
@@ -15,19 +13,33 @@ if [ "$1" = "--force" ]; then
@@ -91,19 +101,40 @@ EOF
;;
reload)
- echo -n "Reload service $DESCRIPTIVE"
- killproc -p $PIDFILE -HUP $DAEMON
- rc_status -v
+ echo -n "Reloading service $DESCRIPTIVE"
+ if [ -f "/etc-SuSe-release" ]; then
+ killproc -p $PIDFILE -HUP $DAEMON
+ rc_status -v
+ elif [ -f "/etc/redhat-release" ]; then
+ killall -HUP openwsmad && echo " done."|| echo " failed."
+ fi
;;
status)
echo -n "Checking for service $DESCRIPTIVE"
- checkproc -p $PIDFILE $DAEMON
- rc_status -v
+ if [ -f "/etc/SuSe-release" ]; then
+ checkproc -p $PIDFILE $DAEMON
+ rc_status -v
+ elif [ -f "/etc/redhat-release" ]; then
+ pidof opewsmand > /dev/null 2>&1
+ if [ $? -eq 0 ]; then
+ echo " running"
+ else
+ echo " stopped"
+ fi
+ fi
+
+ ;;
+ condrestart)
+ [ -f $lockfile ] && restart || :
;;
*)
- echo "Usage: $0 {restart|start|stop|reload|force-reload|status}"
+ echo "Usage: $0 {restart|start|stop|reload|force-reload|status|condrestart}"
esac
+if [ -f "/etc/SuSe-release" ]; then
rc_exit
+elif [ -f "/etc/redhat-release" ]; then
+exit 0
+fi
diff -up ./etc/owsmangencert.sh.in.bak ./etc/owsmangencert.sh.in
--- ./etc/owsmangencert.sh.in.bak 2010-08-10 10:46:36.554862986 -0500
+++ ./etc/owsmangencert.sh.in 2010-08-10 10:50:45.843859853 -0500
@@ -15,19 +15,34 @@ if [ "$1" = "--force" ]; then
shift
fi
+FQDN=`hostname --fqdn`
+ if [ "x${FQDN}" = "x" ]; then
+ FQDN=localhost.localdomain
+ fi
+ if [ "x${FQDN}" = "x" ]; then
+ FQDN=localhost.localdomain
+ fi
+
+
echo
echo creating selfsingned certificate
echo "replace it with one signed by a certification authority (CA)"
@@ -107,6 +194,5 @@ diff -up ./etc/owsmangencert.sh.in.old ./etc/owsmangencert.sh.in
+root@${FQDN}
+EOF
+
+
chmod 600 $KEYFILE
+24
View File
@@ -0,0 +1,24 @@
Index: openwsman.conf
===================================================================
--- openwsman-2.0.0/etc/openwsman.conf (revision 3221)
+++ openwsman-2.0.0/etc/openwsman.conf (working copy)
@@ -4,7 +4,7 @@
ssl_cert_file = /etc/openwsman/servercert.pem
ssl_key_file = /etc/openwsman/serverkey.pem
digest_password_file = /etc/openwsman/digest_auth.passwd
-basic_password_file = /etc/openwsman/simple_auth.passwd
+#basic_password_file = /etc/openwsman/simple_auth.passwd
min_threads = 4
max_threads = 10
@@ -15,8 +15,8 @@
# Authentication backend for BASIC authentication. Default is to read a configuration file defined with 'basic_password_file'
#
-#basic_authenticator = libwsman_pam_auth.so
-#basic_authenticator_arg = openwsman
+basic_authenticator = libwsman_pam_auth.so
+basic_authenticator_arg = openwsman
#
# WS-Management unauthenticated wsmid:Identify file
+66 -106
View File
@@ -1,57 +1,47 @@
#
# spec file for package openwsman (Version 2.2.3)
#
# norootforbuild
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}
%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"] ')}
Name: openwsman
BuildRequires: swig
BuildRequires: libcurl-devel libxml2-devel pam-devel sblim-sfcc-devel
BuildRequires: python python-devel ruby ruby-devel perl
BuildRequires: perl-devel pkgconfig openssl-devel
BuildRequires: libtool
Requires: net-tools
Version: 2.2.3
Release: 3%{?dist}
Url: http://www.openwsman.org/
Name: openwsman
Version: 2.2.0
Release: 6%{?dist}
License: BSD
Group: Applications/System
Summary: Opensource Implementation of WS-Management
Source: http://downloads.sourceforge.net/project/openwsman/%{name}/%{version}/%{name}-%{version}.tar.bz2
Url: http://www.openwsman.org/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source2: python-config
Patch0: %{name}-initscript.patch
Patch1: %{name}-randfile.patch
Patch2: %{name}-authors.patch
Patch1: %{name}-pam-auth.patch
Patch2: perl-bindings.patch
Patch3: openwsman-randfile.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXXX)
Group: System Environment/Daemons
Summary: Opensource Implementation of WS-Management
BuildRequires: sblim-sfcc-devel curl-devel libxml2-devel pkgconfig pam-devel openssl-devel swig python python-devel ruby ruby-devel libtool
BuildRequires: perl pkgconfig openssl-devel net-tools
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(postun): initscripts
%description
Openwsman is a project intended to provide an open-source
implementation of the Web Services Management specipication
implementation of the Web Services Management specification
(WS-Management) and to expose system management information on the
Linux operating system using the WS-Management protocol. WS-Management
is based on a suite of web services specifications and usage
requirements that exposes a set of operations focused on and covers
all system management aspects.
%package -n libwsman1
License: BSD
Group: System Environment/Libraries
Summary: Opensource Implementation of WS-Management
Provides: %{name} = %{version}
Obsoletes: %{name} < %{version}
Requires: %{name}-client
%description -n libwsman1
Openwsman library for packages dependent on openwsman
%package -n libwsman-devel
License: BSD
Group: Development/Libraries
@@ -62,13 +52,11 @@ Requires: libwsman1 = %{version}
Requires: %{name}-server = %{version}
Requires: %{name}-client = %{version}
Requires: sblim-sfcc-devel libxml2-devel pam-devel
Requires: libcurl-devel
Requires: curl-devel
%description -n libwsman-devel
Development files for openwsman
%package client
License: BSD
Group: System Environment/Libraries
@@ -77,13 +65,11 @@ Summary: Openwsman Client libraries
%description client
Openwsman Client libraries
%package server
License: BSD
Group: System Environment/Daemons
Requires: net-tools
Requires: openwsman-client
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(postun): initscripts
@@ -93,8 +79,6 @@ Summary: Openwsman Server and service libraries
Openwsman Server and service libraries
%package python
License: BSD
Group: Development/Libraries
@@ -105,9 +89,6 @@ Requires: python
This package provides Python bindings to access the openwsman client
API.
%package ruby
License: BSD
Group: Development/Libraries
@@ -118,9 +99,6 @@ Summary: Ruby bindings for openwsman client API
%description ruby
This package provides Ruby bindings to access the openwsman client API.
%package perl
License: BSD
Group: Development/Libraries
@@ -132,45 +110,43 @@ This package provides Perl bindings to access the openwsman client API.
%prep
%setup -q
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cp -p %{SOURCE2} %{_builddir}/%{name}-%{version}
sed -i -e 's|#!/usr/bin/python2.5|#!%{__python}|' %{_builddir}/%{name}-%{version}/python-config
%build
sh autoconfiscate.sh
# Removing executable permissions on .c and .h files to fix rpmlint warnings.
chmod -x src/cpp/WsmanClient.h
chmod -x src/lib/wsman-filter.c
chmod -x include/wsman-filter.h
%configure \
--disable-more-warnings \
--disable-static \
--enable-python \
--enable-ruby \
--enable-perl \
--enable-ipv6
#make clean
chmod a-x src/lib/*.[ch]
chmod a-x src/cpp/*.[ch]
chmod a-x include/*.[ch]
# disable eventing, as Fedora libcurl isn't linked against openssl
# disable tests in 2.1.0, http://www.openwsman.org/bug/263
%configure --enable-python=yes --enable-ruby=yes --enable-eventing=no --disable-more-warnings --disable-static --enable-perl --enable-ipv6 PATH=$PATH:.
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DFEDORA"
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_flags}
%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/openwsman/plugins/*.la
rm -f %{buildroot}/%{_libdir}/openwsman/authenticators/*.la
mkdir -p %{buildroot}/%{_sysconfdir}/init.d
install -m 644 etc/openwsman.conf %{buildroot}/%{_sysconfdir}/openwsman
install -m 644 etc/ssleay.cnf %{buildroot}/%{_sysconfdir}/openwsman
install -m 755 etc/init/openwsmand.sh %{buildroot}/%{_sysconfdir}/init.d/openwsmand
ln -sf %{_sysconfdir}/init.d/openwsmand %{buildroot}/%{_sbindir}/rcopenwsmand
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/openwsman/plugins/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/openwsman/authenticators/*.la
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 644 etc/openwsman.conf $RPM_BUILD_ROOT%{_sysconfdir}/openwsman
install -m 644 etc/ssleay.cnf $RPM_BUILD_ROOT%{_sysconfdir}/openwsman
install -m 755 etc/init/openwsmand.sh $RPM_BUILD_ROOT%{_sysconfdir}/init.d/openwsmand
ln -sf %{_sysconfdir}/init.d/openwsmand $RPM_BUILD_ROOT%{_sbindir}/rcopenwsmand
%clean
rm -rf %{buildroot}
%post -n libwsman1 -p /sbin/ldconfig
%postun -n libwsman1 -p /sbin/ldconfig
@@ -180,16 +156,10 @@ rm -rf %{buildroot}
chkconfig --add openwsmand
%preun server
if [ $1 = "0" ] ; then
/sbin/service %{name}d stop >/dev/null 2>&1
/sbin/chkconfig --del openwsmand
fi
chkconfig --del openwsmand
%postun server
rm -f /var/log/wsmand.log
if [ "$1" -ge "1" ] ; then
/sbin/service %{name}d condrestart >/dev/null 2>&1 || :
fi
/sbin/ldconfig
%post client -p /sbin/ldconfig
@@ -197,37 +167,37 @@ fi
%postun client -p /sbin/ldconfig
%files -n libwsman1
%defattr(-,root,root,-)
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/libwsman.so.*
%{_libdir}/libwsman_client.so.*
%{_libdir}/libwsman_curl_client_transport.so.*
%files -n libwsman-devel
%defattr(-,root,root,-)
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%doc AUTHORS COPYING ChangeLog README
%files python
%defattr(-,root,root,-)
%defattr(-,root,root)
%{python_sitearch}/*.so
%{python_sitelib}/*.py
%{python_sitelib}/*.pyc
%{python_sitelib}/*.pyo
#%{python_sitelib}/*.pyc
#%{python_sitelib}/*.pyo
%doc AUTHORS COPYING ChangeLog README
%files ruby
%defattr(-,root,root,-)
%defattr(-,root,root)
%{ruby_sitearch}/openwsman.so
%dir %{ruby_sitelib}/openwsman
%{ruby_sitelib}/openwsman/openwsman.rb
%{ruby_sitelib}/openwsman/xmlnode.rb
%{ruby_sitelib}/openwsman/wsxmlnode.rb
%doc AUTHORS COPYING ChangeLog README
%files perl
%defattr(-,root,root,-)
%defattr(-,root,root)
%{perl_vendorarch}/openwsman.so
%{perl_vendorlib}/openwsman.pm
%doc AUTHORS COPYING ChangeLog README
@@ -235,7 +205,7 @@ fi
%files server
# Don't remove *.so files from the server package.
# the server fails to start without these files.
%defattr(-,root,root,-)
%defattr(-,root,root)
%dir %{_sysconfdir}/openwsman
%config(noreplace) %{_sysconfdir}/openwsman/openwsman.conf
%config(noreplace) %{_sysconfdir}/openwsman/ssleay.cnf
@@ -255,37 +225,28 @@ fi
%doc AUTHORS COPYING ChangeLog README
%files client
%defattr(-,root,root,-)
%defattr(-,root,root)
%{_libdir}/libwsman_clientpp.so.*
%doc AUTHORS COPYING ChangeLog README
%changelog
* Tue Aug 10 2010 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.3-3
- Moved the certificate generation from the init script. The user has to
- manually generate on before starting the service.
* Tue Aug 10 2010 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-6
- Moved the cert generation from the the init script.
* Thu Apr 22 2010 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.3-2
- authors.patch: Moved all the AUTHORS info to AUTHORS file.
- Corrected the Source tag.
- Corrected the package dependencies to break cyclic dependencies.
- Fixed the default attributes.
- Fixed the preun & postun scripts, to make sure the openwsmand service
- is stopped before the package is removed.
- Added 'condrestart' function to the init script.
- Had to let the *.so files be part of the openwsman-server becuase
- some of the source files explicitly call out for *.so files.
* Tue Dec 29 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-5
- Updating the spec file to follow the upstream packaging format.
* Thu Oct 1 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-4
- removed the hard coding of ruby_libdir
* Fri Apr 16 2010 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.3-1
- Updated the sources to 2.2.3
- Updated the spec file to follow the upstream packaging format.
- randfile.patch: when openwsmand daemon creates a certificate the
- first time it needs a file which have random content it. This
- is pointed to $HOME/.rnd in /etc/openwsman/ssleay.cnf. Changed this
- random file to /dev/urandom.
- initscript.patch: patch to edit the init script so that the services
- are not started by default.
* Tue Sep 29 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-3
- Changed back the hard coding of /usr/lib
* Tue Sep 29 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-2
- check for python-configure in configure.ac fails because python-config
- is not part of python-2.4 which is currently available in RHEL
- So added a script python-config to the sources, and allowed configure to
- search in BUILD/opewsman-2.2.0 for python-configure script.
* Wed Sep 23 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-1
- Added the new 2.2.0 sources.
@@ -305,4 +266,3 @@ fi
* Tue Aug 19 2008 <srinivas_ramanatha@dell.com> - 2.0.0-1%{?dist}
- Modified the spec file to adhere to fedora packaging guidelines.
+22
View File
@@ -0,0 +1,22 @@
diff -up openwsman-2.2.0/bindings/perl/Makefile.am.org openwsman-2.2.0/bindings/perl/Makefile.am
--- openwsman-2.2.0/bindings/perl/Makefile.am.org 2009-12-10 13:34:55.000000000 -0600
+++ openwsman-2.2.0/bindings/perl/Makefile.am 2009-12-10 13:35:56.000000000 -0600
@@ -33,6 +33,7 @@ SWIG_INPUT = ../openwsman.i
openwsman_la_SOURCES = openwsman_wrap.c \
../openwsman.c \
$(SWIG_INPUT)
+all-local: openwsman.pm
openwsman_la_LIBADD = $(LIBS) -lpthread $(CURL_LIBS)
diff -up openwsman-2.2.0/bindings/perl/Makefile.in.org openwsman-2.2.0/bindings/perl/Makefile.in
--- openwsman-2.2.0/bindings/perl/Makefile.in.org 2009-12-10 13:35:03.000000000 -0600
+++ openwsman-2.2.0/bindings/perl/Makefile.in 2009-12-10 13:36:18.000000000 -0600
@@ -289,6 +289,7 @@ SWIG_INPUT = ../openwsman.i
openwsman_la_SOURCES = openwsman_wrap.c \
../openwsman.c \
$(SWIG_INPUT)
+all-local: openwsman.pm
openwsman_la_LIBADD = $(LIBS) -lpthread $(CURL_LIBS)
openwsman_la_LDFLAGS = -module -avoid-version $(NO_UNDEFINED)
Executable
+53
View File
@@ -0,0 +1,53 @@
#!/usr/bin/python2.5
import sys
import os
import getopt
from distutils import sysconfig
valid_opts = ['prefix', 'exec-prefix', 'includes', 'libs', 'cflags',
'ldflags', 'help']
def exit_with_usage(code=1):
print >>sys.stderr, "Usage: %s [%s]" % (sys.argv[0],
'|'.join('--'+opt for opt in valid_opts))
sys.exit(code)
try:
opts, args = getopt.getopt(sys.argv[1:], '', valid_opts)
except getopt.error:
exit_with_usage()
if not opts:
exit_with_usage()
opt = opts[0][0]
pyver = sysconfig.get_config_var('VERSION')
getvar = sysconfig.get_config_var
if opt == '--help':
exit_with_usage(0)
elif opt == '--prefix':
print sysconfig.PREFIX
elif opt == '--exec-prefix':
print sysconfig.EXEC_PREFIX
elif opt in ('--includes', '--cflags'):
flags = ['-I' + sysconfig.get_python_inc(),
'-I' + sysconfig.get_python_inc(plat_specific=True)]
if opt == '--cflags':
flags.extend(getvar('CFLAGS').split())
print ' '.join(flags)
elif opt in ('--libs', '--ldflags'):
libs = getvar('LIBS').split() + getvar('SYSLIBS').split()
libs.append('-lpython'+pyver)
# add the prefix/lib/pythonX.Y/config dir, but only if there is no
# shared library in prefix/lib/.
if opt == '--ldflags' and not getvar('Py_ENABLE_SHARED'):
libs.insert(0, '-L' + getvar('LIBPL'))
print ' '.join(libs)
+1 -1
View File
@@ -1 +1 @@
79f637d86a2cbd2d6763b80f68e4bc96 openwsman-2.2.3.tar.bz2
62b4eaf752171058bf0036e049ca01d0 openwsman-2.2.0.tar.bz2